org.richfaces.renderkit

## Class ColorPickerRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.richfaces.renderkit.InputRendererBase
          - - org.richfaces.renderkit.ColorPickerRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    ColorPickerRenderer

      public abstract class ColorPickerRendererBase
      extends org.richfaces.renderkit.InputRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorPickerRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPopupToAjaxRendered(javax.faces.context.FacesContext context, UIColorPicker component)`
    `java.lang.String` | `encodeEvents(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `validateColorString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`

    - ### Methods inherited from class org.richfaces.renderkit.InputRendererBase

      `doDecode, getComponentClass, getConvertedValue, getInputValue`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### ColorPickerRendererBase

          public ColorPickerRendererBase()

  - ### Method Detail

    - #### addPopupToAjaxRendered

          public void addPopupToAjaxRendered(javax.faces.context.FacesContext context,
                                    UIColorPicker component)

    - #### encodeEvents

          public java.lang.String encodeEvents(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

    - #### validateColorString

          public void validateColorString(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 java.lang.String value)

Copyright © 2014. All Rights Reserved.